function CuteImageGuis(GenderStr)

%% puts up a cute or not so cute image 

hcb = uipanel('Title', 'Cute or ugly?', 'visible','on', ...
    'Units', 'normalized','pos',[.4 .6 .3 .4]);

img1=imread('ugly_baby.jpg');
img2=imread('ugly_dog.jpg');

% we've chosen here to define axes within the panel, we make the panel the right size 
% and use the default size ( fill the panel)
% we could also choose the figure as the parent if we wanted, but this way
% we would have to define the size of the axes within the figure parent
a = axes('parent',hcb);
if strcmp(GenderStr, 'Male')
    image(img1); axis off
else
    image(img2); axis off
end


%% more toggle boxes

ht2 = uibuttongroup('visible','off','Units', 'normalized',  ...
    'pos',[0.4 .4 .3 .2]);

% Create two toggle buttons in the button group.
% Left, bottom, width, height
% In this case the parent is  again the uibuttongroup.

u02 = uicontrol('Style','Toggle','String','Cute','Units', 'normalized',...
    'pos',[.3 .55 .5 .3],'parent',ht2,'HandleVisibility','off');

u12 = uicontrol('Style','Toggle','String','Ugly','Units', 'normalized', ...
    'pos',[.3 .15 .5 .3],'parent',ht2,'HandleVisibility','off');

set(ht2,'Visible','on');
set(ht2, 'SelectedObject', []);

% so again we have a callback function that is called whenever the subject
% presses one of the two toggles
set(ht2,'SelectionChangeFcn',@toggleresponse2);

