% CosmoQuiz 
% 
% examples of different kinds of uicontrols
%
% if 8/2012

clear all

global GenderInput PersonalityInput LikabilityInput 
global VicesInput ActivitiesInput CuteInput
% globals are variables you want to be "globally" accessibly  - i.e.
% available within functions without having to pass them in. They are bad
% programming style, but occasionally very useful
% These globals don't need to be defined here, since they aren't actually
% used in this particular script, but I've put them in so you can see what
% the globals are going to be

close all
fh=figure(1);
set(gcf, 'Name', 'Cosmo Quiz');
clf


%% Create radio buttons to determine gender

GenderGuis


%% Create Toggle boxes to determine personality

PersonalityGuis

%% Now for sliders!

LikabilityGuis


%% editable text field

VicesGuis

%% image

% CuteImageGuis (this is called by the gender button)

%% check boxes

ActivitiesGuis

%% single push button to submit responses

hcpb = uipanel( 'visible','on','Units', 'normalized', 'pos',[.7 0 .3 .2]);

hpb = uicontrol('Style', 'pushbutton', 'Units', 'normalized', 'parent', hcpb,  ...
     'String', 'Submit','Position', [.1 .1 .8 .8], 'FontWeight', 'bold',...
     'Callback', @pushbuttonresponse);
 

